Subject: bug#10211: closed (Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Nov 2019 16:22:03 +0000

Your bug report

#11339: 24.0.92; Case folding on file name completion fails with umlauts

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11339: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11339
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii
From: Eli Zaretskii <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 04 Nov 2019 18:21:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 04 Nov 2019 14:39:25 +0100
> 
> > I hope I fixed this now, please try the latest master.
> 
> I've now updated and, the above bug is now fixed; thanks.

Thanks, I'm closing this bug.

> However, there seems to be some unintended fallout:
> 
> 0. emacs -Q
> 1. M-: (setq read-buffer-completion-ignore-case t read-file-name-completion-ignore-case t)
> 2. M-x cd RET RET => args-out-of-range error (backtrace attached)

This is bug#38056, which I just fixed.  It was caused by a thinko on
my part.

Subject: 24.0.92; Case folding on file name completion fails with umlauts
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Sun, 04 Dec 2011 17:32:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. cd /tmp
2. touch aa Aa äa Äa
3. emacs -Q
4. M-x customize-option RET read-file-name-completion-ignore-case RET,
   toggle to `on' and save for the current session.
5. `C-x C-f /tmp/a TAB' shows both aa and Aa as completions.
6. `C-x C-f /tmp/ä TAB' shows äa as the sole completion.

(I recall reading a similar report but I couldn't find it by searching
for "completion", "umlaut", "case", or "ascii".)

In GNU Emacs 24.0.92.1 (i686-suse-linux-gnu, GTK+ Version 2.24.7)
 of 2011-12-03 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--without-toolkit-scroll-bars' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t